/*
 * helpers.h
 *
 *  Created on: Oct 27, 2010
 *      Author: philipp_
 */

#ifndef HELPERS_H_
#define HELPERS_H_

#include "data/structs.h"
#include "data/reference.h"

struct ids_str {
	int position;
	int frequ;
	int scaff_id;
};

void program_close(int id);
void store(Matches &matches, Reference & ref, int scaffpos, int scaff_id, float score, bool forward,bool rev);
void insert_equal_scoring(Matches &matches, Reference & ref, int scaffpos, int scaff_id, float score, bool forward, int tresh,bool rev);
void insert_sort(Matches &matches, Reference & ref, int scaffpos, int scaff_id, float score, bool forward, int tresh,bool rev);
bool compare_str(ids_str first, ids_str second);

#endif /* HELPERS_H_ */
